Package org.apache.activemq.artemis.jms.server

## Class ActiveMQJMSServerBundle_$bundle

- java.lang.Object
- - org.apache.activemq.artemis.jms.server.ActiveMQJMSServerBundle_$bundle

- All Implemented Interfaces:
    `java.io.Serializable`, `ActiveMQJMSServerBundle`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2021-12-14T22:59:01-0500")
      public class ActiveMQJMSServerBundle_$bundle
      extends java.lang.Object
      implements ActiveMQJMSServerBundle, java.io.Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ActiveMQJMSServerBundle_$bundle` | `INSTANCE` |

    - ### Fields inherited from interface org.apache.activemq.artemis.jms.server.ActiveMQJMSServerBundle

      `BUNDLE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ActiveMQJMSServerBundle_$bundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.activemq.artemis.api.core.ActiveMQAddressExistsException` | `cfBindingsExists​(java.lang.String name)` |
    `protected java.lang.String` | `cfBindingsExists$str()` |
    `org.apache.activemq.artemis.api.core.ActiveMQInternalErrorException` | `cfDoesntExist​(java.lang.String name)` |
    `protected java.lang.String` | `cfDoesntExist$str()` |
    `org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException` | `discoveryGroupDoesntExist​(java.lang.String name)` |
    `protected java.lang.String` | `discoveryGroupDoesntExist$str()` |
    `org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException` | `errorDecodingPassword​(java.lang.Exception e)` |
    `protected java.lang.String` | `errorDecodingPassword$str()` |
    `protected java.util.Locale` | `getLoggingLocale()` |
    `org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException` | `noConnectorNameConfiguredOnCF​(java.lang.String name)` |
    `protected java.lang.String` | `noConnectorNameConfiguredOnCF$str()` |
    `org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException` | `noConnectorNameOnCF()` |
    `protected java.lang.String` | `noConnectorNameOnCF$str()` |
    `protected java.lang.Object` | `readResolve()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ActiveMQJMSServerBundle_$bundle INSTANCE

  - ### Constructor Detail

    - #### ActiveMQJMSServerBundle_$bundle

          protected ActiveMQJMSServerBundle_$bundle()

  - ### Method Detail

    - #### readResolve

          protected java.lang.Object readResolve()

    - #### getLoggingLocale

          protected java.util.Locale getLoggingLocale()

    - #### cfDoesntExist$str

          protected java.lang.String cfDoesntExist$str()

    - #### cfDoesntExist

          public final org.apache.activemq.artemis.api.core.ActiveMQInternalErrorException cfDoesntExist​(java.lang.String name)

      Specified by:
        `cfDoesntExist` in interface `ActiveMQJMSServerBundle`

    - #### discoveryGroupDoesntExist$str

          protected java.lang.String discoveryGroupDoesntExist$str()

    - #### discoveryGroupDoesntExist

          public final org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException discoveryGroupDoesntExist​(java.lang.String name)

      Specified by:
        `discoveryGroupDoesntExist` in interface `ActiveMQJMSServerBundle`

    - #### noConnectorNameOnCF$str

          protected java.lang.String noConnectorNameOnCF$str()

    - #### noConnectorNameOnCF

          public final org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException noConnectorNameOnCF()

      Specified by:
        `noConnectorNameOnCF` in interface `ActiveMQJMSServerBundle`

    - #### noConnectorNameConfiguredOnCF$str

          protected java.lang.String noConnectorNameConfiguredOnCF$str()

    - #### noConnectorNameConfiguredOnCF

          public final org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException noConnectorNameConfiguredOnCF​(java.lang.String name)

      Specified by:
        `noConnectorNameConfiguredOnCF` in interface `ActiveMQJMSServerBundle`

    - #### cfBindingsExists$str

          protected java.lang.String cfBindingsExists$str()

    - #### cfBindingsExists

          public final org.apache.activemq.artemis.api.core.ActiveMQAddressExistsException cfBindingsExists​(java.lang.String name)

      Specified by:
        `cfBindingsExists` in interface `ActiveMQJMSServerBundle`

    - #### errorDecodingPassword$str

          protected java.lang.String errorDecodingPassword$str()

    - #### errorDecodingPassword

          public final org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException errorDecodingPassword​(java.lang.Exception e)

      Specified by:
        `errorDecodingPassword` in interface `ActiveMQJMSServerBundle`